package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.TableQueryDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TableQueryMapper {

/*    List<Map> putInStorage(@Param("code") String code,@Param("state") String state);

    List<Map> firstInspection(@Param("code") String code);

    List<Map> outbound(@Param("idList") List<Long> idList);

    List<Map> changeTable(@Param("code") String code);

    List<Map> turnOver(@Param("code") String code);*/

    List<Map> countDay(@Param("dto") TableQueryDto dto);

    Page<Map> queryInfo(Page page,@Param("vendor") Long vendor ,@Param("type")Long type,@Param("cal")Long cal);

    List<Map> queryInfo(@Param("vendor") Long vendor ,@Param("type")Long type,@Param("cal")Long cal);

}
